multimedia/libkate - The NetBSD Packages Collection

Overlay codec, originally designed for karaoke and text

Kate is an overlay codec, originally designed for karaoke and text, that can be
multiplixed in Ogg. Text and images can be carried by a Kate stream, and
animated. Most of the time, this would be multiplexed with audio/video to carry
subtitles, song lyrics (with or without karaoke data), etc, but doesn't have to
be.

Series of curves (splines, segments, etc) may be attached to various properties
(text position, font size, etc) to create animated overlays. This allows
scrolling or fading text to be defined. This can even be used to draw arbitrary
shapes, so hand drawing can also be represented by a Kate stream.

Build dependencies

audio/vorbis-tools pkgtools/cwrappers devel/libtool-base devel/bison devel/pkgconf

Runtime dependencies

multimedia/liboggz multimedia/libogg graphics/png multimedia/libogg graphics/png

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 8.0earmv7hflibkate-0.4.1nb19.tgz
NetBSD 8.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 8.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 8.0i386libkate-0.4.1nb19.tgz
NetBSD 8.0i386libkate-0.4.1nb20.tgz
NetBSD 8.0i386libkate-0.4.1nb20.tgz
NetBSD 8.0i386libkate-0.4.1nb20.tgz
NetBSD 8.0powerpclibkate-0.4.1nb19.tgz
NetBSD 8.0powerpclibkate-0.4.1nb20.tgz
NetBSD 8.0powerpclibkate-0.4.1nb20.tgz
NetBSD 8.0powerpclibkate-0.4.1nb20.tgz
NetBSD 8.0x86_64libkate-0.4.1nb20.tgz
NetBSD 8.0x86_64libkate-0.4.1nb19.tgz
NetBSD 8.0x86_64libkate-0.4.1nb20.tgz
NetBSD 8.0x86_64libkate-0.4.1nb20.tgz
NetBSD 9.0aarch64libkate-0.4.1nb20.tgz
NetBSD 9.0aarch64libkate-0.4.1nb19.tgz
NetBSD 9.0aarch64libkate-0.4.1nb20.tgz
NetBSD 9.0aarch64libkate-0.4.1nb20.tgz
NetBSD 9.0alphalibkate-0.4.1nb20.tgz
NetBSD 9.0alphalibkate-0.4.1nb20.tgz
NetBSD 9.0earmlibkate-0.4.1nb20.tgz
NetBSD 9.0earmlibkate-0.4.1nb20.tgz
NetBSD 9.0earmv6hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv6hflibkate-0.4.1nb19.tgz
NetBSD 9.0earmv6hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv6hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv6hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv7hflibkate-0.4.1nb19.tgz
NetBSD 9.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 9.0earmv7hflibkate-0.4.1nb20.tgz
NetBSD 9.0i386libkate-0.4.1nb19.tgz
NetBSD 9.0i386libkate-0.4.1nb20.tgz
NetBSD 9.0i386libkate-0.4.1nb20.tgz
NetBSD 9.0i386libkate-0.4.1nb20.tgz
NetBSD 9.0mips64eblibkate-0.4.1nb20.tgz
NetBSD 9.0mips64eblibkate-0.4.1nb19.tgz
NetBSD 9.0mips64eblibkate-0.4.1nb20.tgz
NetBSD 9.0mips64eblibkate-0.4.1nb20.tgz
NetBSD 9.0mipsellibkate-0.4.1nb20.tgz
NetBSD 9.0mipsellibkate-0.4.1nb20.tgz
NetBSD 9.0mipsellibkate-0.4.1nb20.tgz
NetBSD 9.0powerpclibkate-0.4.1nb20.tgz
NetBSD 9.0powerpclibkate-0.4.1nb19.tgz
NetBSD 9.0powerpclibkate-0.4.1nb20.tgz
NetBSD 9.0powerpclibkate-0.4.1nb20.tgz
NetBSD 9.0powerpclibkate-0.4.1nb20.tgz
NetBSD 9.0sh3ellibkate-0.4.1nb20.tgz
NetBSD 9.0sh3ellibkate-0.4.1nb20.tgz
NetBSD 9.0sh3ellibkate-0.4.1nb20.tgz
NetBSD 9.0sparc64libkate-0.4.1nb20.tgz
NetBSD 9.0sparc64libkate-0.4.1nb20.tgz
NetBSD 9.0sparclibkate-0.4.1nb20.tgz
NetBSD 9.0sparclibkate-0.4.1nb19.tgz
NetBSD 9.0sparclibkate-0.4.1nb20.tgz
NetBSD 9.0sparclibkate-0.4.1nb20.tgz
NetBSD 9.0x86_64libkate-0.4.1nb20.tgz
NetBSD 9.0x86_64libkate-0.4.1nb20.tgz
NetBSD 9.0x86_64libkate-0.4.1nb20.tgz
NetBSD 9.0x86_64libkate-0.4.1nb20.tgz
NetBSD 9.0x86_64libkate-0.4.1nb19.tgz
NetBSD 9.0x86_64libkate-0.4.1nb20.tgz
NetBSD 9.0x86_64libkate-0.4.1nb20.tgz
NetBSD 9.0x86_64libkate-0.4.1nb20.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

debug
Enable debugging facilities in the package.
doc
Include the documentation.
oggz
Enable Oggz support.
python
Enable Python support.
valgrind
Enable Valgrind debugging and profiling support.
vorbis
Enable Ogg Vorbis support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.